## osinfo_oslist

osinfo_oslist — A list of os platforms

## Functions

OsinfoOsList * | osinfo_oslist_new ()
OsinfoOsList * | osinfo_oslist_new_copy ()
OsinfoOsList * | osinfo_oslist_new_filtered ()
OsinfoOsList * | osinfo_oslist_new_intersection ()
OsinfoOsList * | osinfo_oslist_new_union ()

## Types and Values

#define | OSINFO_TYPE_OSLIST

## Description

OsinfoOsList is a list specialization that stores only OsinfoOs objects.

## Functions

### osinfo_oslist_new ()

    OsinfoOsList *
    osinfo_oslist_new (void);

Construct a new os list that is initially empty.

#### Returns

an empty os list.

[transfer full]

### osinfo_oslist_new_copy ()

    OsinfoOsList *
    osinfo_oslist_new_copy (OsinfoOsList *source);

`osinfo_oslist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new os list that is filled with oss from `source`

#### Parameters

source | the os list to copy |

#### Returns

a copy of the os list.

[transfer full]

### osinfo_oslist_new_filtered ()

    OsinfoOsList *
    osinfo_oslist_new_filtered (OsinfoOsList *source,
                                OsinfoFilter *filter);

`osinfo_oslist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new os list that is filled with oss from `source` that match `filter`

#### Parameters

source | the os list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the os list.

[transfer full]

### osinfo_oslist_new_intersection ()

    OsinfoOsList *
    osinfo_oslist_new_intersection (OsinfoOsList *sourceOne,
                                    OsinfoOsList *sourceTwo);

`osinfo_oslist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new os list that is filled with only the oss that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first os list to copy |
sourceTwo | the second os list to copy |

#### Returns

an intersection of the two os lists.

[transfer full]

### osinfo_oslist_new_union ()

    OsinfoOsList *
    osinfo_oslist_new_union (OsinfoOsList *sourceOne,
                             OsinfoOsList *sourceTwo);

`osinfo_oslist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new os list that is filled with all the oss that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first os list to copy |
sourceTwo | the second os list to copy |

#### Returns

a union of the two os lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_OSLIST

    #define OSINFO_TYPE_OSLIST                  (osinfo_oslist_get_type ())

## See Also

OsinfoList, OsinfoOs